BlackBerry Forums Support Community

BlackBerry Forums Support Community (http://www.blackberryforums.com/)
-   General 8300 Series Discussion - Curve (http://www.blackberryforums.com/general-8300-series-discussion-curve/)
-   -   SSH for 8310 Curve (http://www.blackberryforums.com/general-8300-series-discussion-curve/116978-ssh-8310-curve.html)

dxer 02-10-2008 05:49 AM

SSH for 8310 Curve
 
I just tried to download/install MidpSSH on my Blackberry (I selected OS4 version) but installation was not successful. I tried couple more times and error is the same:

907 Invalid COD A Network error occured

Any advice ?

Is there any other free SSH for download I could try ?

jhughes96 02-10-2008 05:38 PM

Hi dxer,
I too had fun and games getting MidpSSH to download/install correctly on my 8310 (I'm sure it always gave a download error even when it installed ok).

However my error was something along the lines of "session tunnel error" or some such and that was whilst I was trying to connect to my remote box.

What fixed it for me was entering the correct APN details under config/advanced/tcp - this appears to depend on your network. When I entered the correct details of o2 (uk) I was able to get MidpSSH to connect. It wasn't a particularly pretty experience but I was able restart Apache etc on my remote boxes so I'm happy!

Joel

akaliman 02-10-2008 09:31 PM

The following may help answers your questions.

Blackberry version, OS 3. (my device is 8320, OS 4.0, but receive error message while downloading the OS 4.)

-----

The file to download depends upon your device and your requirements.

MidpSSH is built depending upon the features you require, in order to keep the file size down. If you have a lot of storage capacity on your device, just download the full version. Otherwise you may only require SSH1 support, or you may require the smallest possible file with the sacrifice of a few features.
There are also two versions of the Java specification for mobile devices (MIDP). Older devices will support the MIDP 1.0 specification while newer devices may support 2.0. There are different versions of MidpSSH to take advantage of the capabilities of the new specification, while retaining compatibility with the old. Choose the version that is compatible with your device - if in doubt try the MIDP 2.0 version first and then the MIDP 1.0. Also consult the Device Support section above for other people's results.
Please also read the installation instructions below.

If MidpSSH does not work on your device, please try the No Obfuscation Version and the bottom of the list below. Please post in the forum with your results.

Lite Version
The Lite version is missing the following functionality from the SSH1 Version:

About box
Help box
Settings (colours and terminal size)
The Lite version is intended for devices with limited storage capacity. Try a more complete build and if you receive warnings about the size or other problems, try a lite build.

Installation Instructions
To install directly to your mobile device, enter the WAP address into the web browser on your device. From that page you can download and install MidpSSH.

To download to your computer and then install onto your device, download the JAR file and then copy it into the appropriate (probably the Applications) area on your device.


All times are GMT -5. The time now is 01:26 AM.

Powered by vBulletin® Version 3.6.12
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.